• 17630273926

WordPress建议使用过时的PHP为61%的WP网站计划

作者:郑州云优化 / 2019-11-12 16:24 / 浏览次数:
WordPress建议使用过时的PHP为61%的WP网站计划
WordPress开发志愿者发布了一项建议,以敦促潜在易受攻击的PHP版本的用户升级。数量惊人的WordPress用户仍然使用不再接收安全更新的PHP版本。
WordPress解决了61.6%的弱势发布者
PHP是WordPress运行的基础脚本语言。最新版本是PHP7.3.7。
PHP会不断更新,以使其更加高效并解决安全问题。除了已达到“停产”状态(EOL)的版本。PHP5.6和7.0版本于2018年12月停产。
仅38.5%的WordPress网站在最新版本的PHP上运行。
PHP7.1版将于2019年12月停产。
根据WordPress的官方统计数据,有45.3%的WordPress发布者在PHP5.6和7.0版上运行其网站。
另有16.3%的WordPress发布者使用的版本甚至早于5.6。
共有61.6%的WordPress发布者使用的是不再接收安全更新的PHP版本。
注意:这些数字是100%的0.1%。使用有效PHP的网站中有38.5%的网站+使用PHP的退休版本的网站中有61.6%=100.1%这些数字来自WordPress。
45.3%的WordPress发布者使用PHP5.6和7.0的过期版本。29.1%的WordPress发布者仍在使用PHP5.6。16.2%的人使用PHP7.0。两种版本均已达到使用寿命终止状态。
61.6%的WordPress发布者易受攻击
这意味着61.6%的WordPress用户可能容易受到黑客事件的攻击。WordPress提案是通过使用nag屏幕使所有过时的PHP用户保持最新。这意味着要覆盖WordPress5.6及以下版本的所有用户以及仍在使用7.0版的用户。
61.6%的WordPress用户可能容易受到黑客事件的攻击
这是建议的时间表:
“我们建议的提高最低PHP版本的路线图是:
显示PHP5.6的PHP更新小部件。这将为使用PHP5.6或更低版本以及仪表板中使用WordPress5.1+的任何人触发该小部件,警告他们我们建议升级PHP版本。
为PHP7.0及以下版本的用户显示PHP更新小部件。
基于第1点和第2点的支持和统计,讨论下一步是显示PHP7.1的PHP更新小部件,还是将所需的最低版本直接增加到PHP7.2。”
关于NagScreen小部件的WordPress提案
官方的WordPress建议要求显示nag屏幕。nag屏幕会敦促用户升级其PHP。
以下是官方公告中指出的内容:
“我想建议我们触发为WordPress中的PHP5.6用户显示PHP更新小部件。
在撰写本文时,WordPress统计数据显示:
PHP5.6的使用份额为29.1%,
PHP7.0的使用份额为16.2%
。PHP7.1的使用份额为13.2%”
第一个nag屏幕可能会在2019年8月5日开始显示。随后的nag屏幕将在以后确定。
这是建议的时间表:
“我们建议从8月5日开始为PHP5.6或更低版本的用户显示更新建议,向PHP7.0用户显示警告的时间表将在后续帖子中宣布,并取决于诸如支持负载和采用率等因素。以前的增长。”
【郑州云优化】郑州SEO、网站建设、网站设计、服务器空间租售、网站维护、网站托管、网站优化、百度推广、自媒体营销、微信公众号
如有意向---联系我们
热门栏目
热门资讯
热门标签

网站建设 网站托管 成功案例 新闻动态 关于我们 联系我们 服务器空间 加盟合作 网站优化

备案号:ICP备*********号 网站地图/sitemap 

公司地址:河南省郑州市郑州云优化 咨询QQ:1774525808 手机:17630273926 电话:17630273926